diff --git a/doc/sudo_plugin.cat b/doc/sudo_plugin.cat
index 36d52d0a8..7276395a1 100644
--- a/doc/sudo_plugin.cat
+++ b/doc/sudo_plugin.cat
@@ -1,4 +1,4 @@
-SUDO_PLUGIN(4)                Programmer's Manual               SUDO_PLUGIN(4)
+SUDO_PLUGIN(4)                File Formats Manual               SUDO_PLUGIN(4)
 
 NNAAMMEE
      ssuuddoo__pplluuggiinn - Sudo Plugin API
@@ -1267,7 +1267,6 @@ DDEESSCCRRIIPPTTIIOONN
      #define SUDO_CONV_ERROR_MSG        0x0003 /* error message */
      #define SUDO_CONV_INFO_MSG         0x0004 /* informational message */
      #define SUDO_CONV_PROMPT_MASK      0x0005 /* mask user input */
-     #define SUDO_CONV_DEBUG_MSG        0x0006 /* debugging message */
      #define SUDO_CONV_PROMPT_ECHO_OK   0x1000 /* flag: allow echo if no tty */
          int msg_type;
          int timeout;
@@ -1301,17 +1300,10 @@ DDEESSCCRRIIPPTTIIOONN
      conversation function.
 
      The pprriinnttff()-style function uses the same underlying mechanism as the
-     ccoonnvveerrssaattiioonn() function but only supports SUDO_CONV_INFO_MSG,
-     SUDO_CONV_ERROR_MSG and SUDO_CONV_DEBUG_MSG for the _m_s_g___t_y_p_e parameter.
-     It can be more convenient than using the ccoonnvveerrssaattiioonn() function if no
-     user reply is needed and supports standard pprriinnttff() escape sequences.
-
-     Unlike, SUDO_CONV_INFO_MSG and Dv SUDO_CONV_ERROR_MSG , messages sent
-     with the SUDO_CONV_DEBUG_MSG _m_s_g___t_y_p_e are not directly user-visible.
-     Instead, they are logged to the file specified in the Debug statement (if
-     any) in the sudo.conf(4).  file.  This allows a plugin to log debugging
-     information and is intended to be used in conjunction with the
-     _d_e_b_u_g___f_l_a_g_s setting.
+     ccoonnvveerrssaattiioonn() function but only supports SUDO_CONV_INFO_MSG and
+     SUDO_CONV_ERROR_MSG for the _m_s_g___t_y_p_e parameter.  It can be more
+     convenient than using the ccoonnvveerrssaattiioonn() function if no user reply is
+     needed and supports standard pprriinnttff() escape sequences.
 
      See the sample plugin for an example of the ccoonnvveerrssaattiioonn() function
      usage.
@@ -1489,4 +1481,4 @@ DDIISSCCLLAAIIMMEERR
      file distributed with ssuuddoo or http://www.sudo.ws/sudo/license.html for
      complete details.
 
-Sudo 1.8.11                     August 25, 2014                    Sudo 1.8.11
+Sudo 1.8.11                    September 8, 2014                   Sudo 1.8.11
diff --git a/doc/sudo_plugin.man.in b/doc/sudo_plugin.man.in
index 3cdea1c58..343b23ad4 100644
--- a/doc/sudo_plugin.man.in
+++ b/doc/sudo_plugin.man.in
@@ -16,7 +16,7 @@
 .\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 .\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 .\"
-.TH "SUDO_PLUGIN" "5" "August 25, 2014" "Sudo @PACKAGE_VERSION@" "OpenBSD Programmer's Manual"
+.TH "SUDO_PLUGIN" "5" "September 8, 2014" "Sudo @PACKAGE_VERSION@" "File Formats Manual"
 .nh
 .if n .ad l
 .SH "NAME"
@@ -2247,7 +2247,6 @@ struct sudo_conv_message {
 #define SUDO_CONV_ERROR_MSG        0x0003 /* error message */
 #define SUDO_CONV_INFO_MSG         0x0004 /* informational message */
 #define SUDO_CONV_PROMPT_MASK      0x0005 /* mask user input */
-#define SUDO_CONV_DEBUG_MSG        0x0006 /* debugging message */
 #define SUDO_CONV_PROMPT_ECHO_OK   0x1000 /* flag: allow echo if no tty */
     int msg_type;
     int timeout;
@@ -2309,10 +2308,9 @@ The
 function uses the same underlying mechanism as the
 \fBconversation\fR()
 function but only supports
-\fRSUDO_CONV_INFO_MSG\fR,
-\fRSUDO_CONV_ERROR_MSG\fR
+\fRSUDO_CONV_INFO_MSG\fR
 and
-\fRSUDO_CONV_DEBUG_MSG\fR
+\fRSUDO_CONV_ERROR_MSG\fR
 for the
 \fImsg_type\fR
 parameter.
@@ -2322,26 +2320,6 @@ function if no user reply is needed and supports standard
 \fBprintf\fR()
 escape sequences.
 .PP
-Unlike,
-\fRSUDO_CONV_INFO_MSG\fR
-and
-Dv SUDO_CONV_ERROR_MSG ,
-messages
-sent with the
-\fRSUDO_CONV_DEBUG_MSG\fR
-\fImsg_type\fR
-are not directly
-user-visible.
-Instead, they are logged to the file specified in the
-\fRDebug\fR
-statement (if any) in the
-sudo.conf(@mansectform@).
-file.
-This allows a plugin to log debugging information and is intended
-to be used in conjunction with the
-\fIdebug_flags\fR
-setting.
-.PP
 See the sample plugin for an example of the
 \fBconversation\fR()
 function usage.
diff --git a/doc/sudo_plugin.mdoc.in b/doc/sudo_plugin.mdoc.in
index 3452e4bbe..0a8e20919 100644
--- a/doc/sudo_plugin.mdoc.in
+++ b/doc/sudo_plugin.mdoc.in
@@ -14,7 +14,7 @@
 .\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 .\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 .\"
-.Dd August 25, 2014
+.Dd September 8, 2014
 .Dt SUDO_PLUGIN @mansectform@
 .Os Sudo @PACKAGE_VERSION@
 .Sh NAME
@@ -1955,7 +1955,6 @@ struct sudo_conv_message {
 #define SUDO_CONV_ERROR_MSG        0x0003 /* error message */
 #define SUDO_CONV_INFO_MSG         0x0004 /* informational message */
 #define SUDO_CONV_PROMPT_MASK      0x0005 /* mask user input */
-#define SUDO_CONV_DEBUG_MSG        0x0006 /* debugging message */
 #define SUDO_CONV_PROMPT_ECHO_OK   0x1000 /* flag: allow echo if no tty */
     int msg_type;
     int timeout;
@@ -2016,10 +2015,9 @@ The
 function uses the same underlying mechanism as the
 .Fn conversation
 function but only supports
-.Dv SUDO_CONV_INFO_MSG ,
-.Dv SUDO_CONV_ERROR_MSG
+.Dv SUDO_CONV_INFO_MSG
 and
-.Dv SUDO_CONV_DEBUG_MSG
+.Dv SUDO_CONV_ERROR_MSG
 for the
 .Em msg_type
 parameter.
@@ -2029,26 +2027,6 @@ function if no user reply is needed and supports standard
 .Fn printf
 escape sequences.
 .Pp
-Unlike,
-.Dv SUDO_CONV_INFO_MSG
-and
-Dv SUDO_CONV_ERROR_MSG ,
-messages
-sent with the
-.Dv SUDO_CONV_DEBUG_MSG
-.Em msg_type
-are not directly
-user-visible.
-Instead, they are logged to the file specified in the
-.Li Debug
-statement (if any) in the
-.Xr sudo.conf @mansectform@ .
-file.
-This allows a plugin to log debugging information and is intended
-to be used in conjunction with the
-.Em debug_flags
-setting.
-.Pp
 See the sample plugin for an example of the
 .Fn conversation
 function usage.
diff --git a/include/sudo_plugin.h b/include/sudo_plugin.h
index 5e95df66f..b4300222b 100644
--- a/include/sudo_plugin.h
+++ b/include/sudo_plugin.h
@@ -40,7 +40,6 @@ struct sudo_conv_message {
 #define SUDO_CONV_ERROR_MSG	    0x0003  /* error message */
 #define SUDO_CONV_INFO_MSG	    0x0004  /* informational message */
 #define SUDO_CONV_PROMPT_MASK	    0x0005  /* mask user input */
-#define SUDO_CONV_DEBUG_MSG	    0x0006  /* debugging message */
 #define SUDO_CONV_PROMPT_ECHO_OK    0x1000  /* flag: allow echo if no tty */
     int msg_type;
     int timeout;
